Subject: Re: bug#29664: 26.0.90; Auto Hscroll Mode + Visual Line Mode + Truncate don't work well together

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 03 Sep 2021 08:36:50 +0200

Eli Zaretskii <[email-masked]> writes:

>> So at least with the default value of auto-hscroll-mode, a user is
>> not stuck wondering why C-a/C-e stopped
>> working, even if they enabled visual-line-mode and
>> toggle-truncate-lines simultaneously by mistake.
>
> If someone wants to propose a patch to warn the user in this case, I
> don't object.

`visual-line-mode' disables `truncate-lines', so for symmetry, I think
`toggle-truncate-lines' can disable `visual-line-mode' (and say that
it's doing so).  So I've done that on the trunk now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no